Package org.bukkit.inventory.meta

# Interface AxolotlBucketMeta

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface AxolotlBucketMeta extends ItemMeta
Represents a bucket of axolotl.

## Method Summary

Modifier and Type
Method
Description
`@NotNull AxolotlBucketMeta`
`clone()`
`Axolotl.Variant`
`getVariant()`
Get the variant of the axolotl in the bucket.
`boolean`
`hasVariant()`
Checks for existence of a variant tag indicating a specific axolotl will be spawned.
`void`
`setVariant(Axolotl.Variant variant)`
Set the variant of this axolotl in the bucket.

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### getVariant

@NotNull Axolotl.Variant getVariant()
Get the variant of the axolotl in the bucket.

Plugins should check that hasVariant() returns `true` before calling this method.

Returns:
  axolotl variant

### setVariant

void setVariant(@NotNull Axolotl.Variant variant)
Set the variant of this axolotl in the bucket.

Parameters:
  `variant` - axolotl variant

### hasVariant

boolean hasVariant()
Checks for existence of a variant tag indicating a specific axolotl will be spawned.

Returns:
  if there is a variant

### clone

@NotNull @NotNull AxolotlBucketMeta clone()

Specified by:
  `clone` in interface `ItemMeta`